Page MenuHomePhabricator

AMDGPU: Properly handle shader inputs with split arguments
ClosedPublic

Authored by arsenm on Jul 10 2018, 6:50 AM.

Details

Reviewers
mareko
nhaehnle
Summary

This needs to refer to arguments by their original argument
index, not the argument split index which depends on what
the type splitting decides to do.

Also avoid increment PSInputNum for each split piece.

Diff Detail

Event Timeline

arsenm created this revision.Jul 10 2018, 6:50 AM

This is a no-op change, right? Because the previous code also works.

This is a no-op change, right? Because the previous code also works.

As-is I think this is a no-op. In D49065 the input argument registers start getting split, so there's no longer a 1:1 correspondence.

arsenm updated this revision to Diff 155122.Jul 12 2018, 12:21 AM
arsenm retitled this revision from AMDGPU: Refer to skipped inputs by original argument index to AMDGPU: Properly handle shader inputs with split arguments.
arsenm edited the summary of this revision. (Show Details)

Complete change needed to handle other code doing the vector argument splitting

mareko accepted this revision.Jul 12 2018, 7:12 PM
This revision is now accepted and ready to land.Jul 12 2018, 7:12 PM
arsenm closed this revision.Jul 13 2018, 9:45 AM

r337022